Packager: Igor Vlasenko <viy@altlinux.ru>
AutoReq: yes,noosgi
BuildRequires: rpm-build-java-osgi
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

#def_with gcj_support
%bcond_with gcj_support

%if %with gcj_support
%define gcj_support 0
%else
%define gcj_support 0
%endif

Name:           xmlgraphics-batik
Version:        1.7
Release:        alt6_7jpp6
Epoch:          0
Summary:        Scalable Vector Graphics for Java
License:        ASL 2.0
URL:            http://xml.apache.org/batik/
Group:          Graphics
Source0:        batik-src-%{version}.zip
Source1:        %{name}.squiggle.script
Source2:        %{name}.svgpp.script
Source3:        %{name}.ttf2svg.script
Source4:        %{name}.rasterizer.script
Source5:        %{name}.slideshow.script
Source6:        %{name}-squiggle.desktop
Source7:        %{name}.rasterizer.policy
Patch1:         %{name}-manifests.patch
Patch2:         %{name}-policy.patch
Patch3:         %{name}-rasterizer-ext-pom-template.patch
Patch4:         %{name}-squiggle-ext-pom-template.patch
Obsoletes:      batik < %{epoch}:%{version}-%{release}
Provides:       batik = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: rhino
Requires: xalan-j2
Requires: xml-commons-jaxp-1.3-apis >= 0:1.3.04
BuildRequires: ant
BuildRequires: java-javadoc
BuildRequires: rhino
BuildRequires: rhino-javadoc
BuildRequires: xalan-j2
BuildRequires: xml-commons-jaxp-1.3-apis >= 0:1.3.04
%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
Source44: import.info
Source45: batik-anim-1.7.jar-OSGi-MANIFEST.MF
Source46: batik-awt-util-1.7.jar-OSGi-MANIFEST.MF
Source47: batik-bridge-1.7.jar-OSGi-MANIFEST.MF
Source48: batik-codec-1.7.jar-OSGi-MANIFEST.MF
Source49: batik-css-1.7.jar-OSGi-MANIFEST.MF
Source50: batik-dom-1.7.jar-OSGi-MANIFEST.MF
Source51: batik-ext-1.7.jar-OSGi-MANIFEST.MF
Source52: batik-extension-1.7.jar-OSGi-MANIFEST.MF
Source53: batik-gui-util-1.7.jar-OSGi-MANIFEST.MF
Source54: batik-gvt-1.7.jar-OSGi-MANIFEST.MF
Source55: batik-parser-1.7.jar-OSGi-MANIFEST.MF
Source56: batik-script-1.7.jar-OSGi-MANIFEST.MF
Source57: batik-svg-dom-1.7.jar-OSGi-MANIFEST.MF
Source58: batik-svggen-1.7.jar-OSGi-MANIFEST.MF
Source59: batik-swing-1.7.jar-OSGi-MANIFEST.MF
Source60: batik-transcoder-1.7.jar-OSGi-MANIFEST.MF
Source61: batik-util-1.7.jar-OSGi-MANIFEST.MF
Source62: batik-xml-1.7.jar-OSGi-MANIFEST.MF
#19119
Conflicts: batik < 0:%version
Conflicts: batik-rasterizer < 0:%version
Conflicts: batik-slideshow < 0:%version
Conflicts: batik-svgpp < 0:%version
Conflicts: batik-ttf2svg < 0:%version

%description
Batik is a Java(tm) technology based toolkit for applications that want
to use images in the Scalable Vector Graphics (SVG) format for various
purposes, such as viewing, generation or manipulation.

%package squiggle
Summary:        Batik SVG browser
Group:          Graphics
Obsoletes:      batik-squiggle < %{epoch}:%{version}-%{release}
Provides:       batik-squiggle = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils

%description squiggle
The Squiggle SVG Browser lets you view SVG file, zoom, pan and rotate
in the content and select text items in the image and much more.

%package svgpp
Summary:        Batik SVG pretty printer
Group:          Graphics
Obsoletes:      batik-svgpp < %{epoch}:%{version}-%{release}
Provides:       batik-svgpp = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils
#19119
Conflicts: batik < 0:%version
Conflicts: batik-rasterizer < 0:%version
Conflicts: batik-slideshow < 0:%version
Conflicts: batik-svgpp < 0:%version
Conflicts: batik-ttf2svg < 0:%version

%description svgpp
The SVG Pretty Printer lets developers "pretty-up" their SVG files and
get their tabulations and other cosmetic parameters in order. It can
also be used to modify the DOCTYPE declaration on SVG files.

%package ttf2svg
Summary:        Batik SVG font converter
Group:          Graphics
Obsoletes:      batik-ttf2svg < %{epoch}:%{version}-%{release}
Provides:       batik-ttf2svg = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils
#19119
Conflicts: batik < 0:%version
Conflicts: batik-rasterizer < 0:%version
Conflicts: batik-slideshow < 0:%version
Conflicts: batik-svgpp < 0:%version
Conflicts: batik-ttf2svg < 0:%version

%description ttf2svg
The SVG Font Converter lets developers convert character ranges from
the True Type Font format to the SVG Font format to embed in SVG
documents. This allows SVG document to be fully self-contained be
rendered exactly the same on all systems.

%package rasterizer
Summary:        Batik SVG rasterizer
Group:          Graphics
Obsoletes:      batik-rasterizer < %{epoch}:%{version}-%{release}
Provides:       batik-rasterizer = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils
#19119
Conflicts: batik < 0:%version
Conflicts: batik-rasterizer < 0:%version
Conflicts: batik-slideshow < 0:%version
Conflicts: batik-svgpp < 0:%version
Conflicts: batik-ttf2svg < 0:%version

%description rasterizer
The SVG Rasterizer is a utility that can convert SVG files to a raster
format. The tool can convert individual files or sets of files, making
it easy to convert entire directories of SVG files. The supported
formats are JPEG, PNG, and TIFF, however the design allows new formats
to be added easily.

%package slideshow
Summary:        Batik SVG slideshow
Group:          Graphics
Obsoletes:      batik-slideshow < %{epoch}:%{version}-%{release}
Provides:       batik-slideshow = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jpackage-utils
#19119
Conflicts: batik < 0:%version
Conflicts: batik-rasterizer < 0:%version
Conflicts: batik-slideshow < 0:%version
Conflicts: batik-svgpp < 0:%version
Conflicts: batik-ttf2svg < 0:%version

%description slideshow
Batik SVG slideshow.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Graphics
Obsoletes:      batik-javadoc < %{epoch}:%{version}-%{release}
Provides:       batik-javadoc = %{epoch}:%{version}-%{release}
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Graphics
Obsoletes:      batik-demo < %{epoch}:%{version}-%{release}
Provides:       batik-demo = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n batik-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0

%{_bindir}/find -type f -name "*.jar" | %{_bindir}/xargs -t %{__rm}

rm resources/org/apache/batik/ext/awt/image/codec/properties
rm test-resources/org/apache/batik/apps/rasterizer/readOnly.png

%{__mkdir_p} batik-%{version}/lib
ln -s $(build-classpath rhino) batik-%{version}/lib/js.jar

%build

export ANT_OPTS="-Xmx512m"
# due to javadoc x86_64 out of memory
subst 's,maxmemory="128m",maxmemory="512m",' build.xml
export CLASSPATH=$(build-classpath xalan-j2 xml-commons-jaxp-1.3-apis-ext js)
export OPT_JAR_LIST=:
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dbuild.sysclasspath=first all-jar jars javadoc maven-artifacts

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}

for dir in batik-%{version} batik-%{version}/lib batik-%{version}/extensions; do
  pushd ${dir}
    for jar in batik-*.jar; do
      basename=`basename ${jar} .jar`
      name=`echo ${basename} | sed -e 's/batik-//'`
      cp -p ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/${name}-%{version}.jar
    done
  popd
done

for pkg in squiggle squiggle-ext svgpp ttf2svg rasterizer rasterizer-ext slideshow; do
  ln -s %{name}/${pkg}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/batik-${pkg}-%{version}.jar
done

mv $RPM_BUILD_ROOT%{_javadir}/%{name}/all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all-%{version}.jar
ln -s %{name}-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/batik-all-%{version}.jar

for dir in $RPM_BUILD_ROOT%{_javadir} $RPM_BUILD_ROOT%{_javadir}/%{name}; do
  pushd ${dir}
    for jar in *-%{version}*.jar; do
      ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; 
    done
  popd
done

# pom
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p batik-%{version}/maven/batik-anim/%{version}/batik-anim-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-anim.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-anim %{version} JPP/%{name} anim
%{__cp} -p batik-%{version}/maven/batik-awt-util/%{version}/batik-awt-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-awt-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-awt-util %{version} JPP/%{name} awt-util
%{__cp} -p batik-%{version}/maven/batik-bridge/%{version}/batik-bridge-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-bridge.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-bridge %{version} JPP/%{name} bridge
%{__cp} -p batik-%{version}/maven/batik-codec/%{version}/batik-codec-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-codec.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-codec %{version} JPP/%{name} codec
%{__cp} -p batik-%{version}/maven/batik-css/%{version}/batik-css-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-css.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-css %{version} JPP/%{name} css
%{__cp} -p batik-%{version}/maven/batik-dom/%{version}/batik-dom-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-dom.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-dom %{version} JPP/%{name} dom
%{__cp} -p batik-%{version}/maven/batik-ext/%{version}/batik-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-ext %{version} JPP/%{name} ext
%{__cp} -p batik-%{version}/maven/batik-extension/%{version}/batik-extension-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-extension.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-extension %{version} JPP/%{name} extension
%{__cp} -p batik-%{version}/maven/batik-gui-util/%{version}/batik-gui-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-gui-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-gui-util %{version} JPP/%{name} gui-util
%{__cp} -p batik-%{version}/maven/batik-gvt/%{version}/batik-gvt-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-gvt.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-gvt %{version} JPP/%{name} gvt
%if 0
%{__cp} -p batik-%{version}/maven/batik-js/%{version}/batik-js-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-js.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-js %{version} JPP/%{name} js
%else
%add_to_maven_depmap org.apache.xmlgraphics batik-js %{version} JPP rhino
%endif
%{__cp} -p batik-%{version}/maven/batik-parser/%{version}/batik-parser-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-parser.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-parser %{version} JPP/%{name} parser
%{__cp} -p batik-%{version}/maven/batik-rasterizer/%{version}/batik-rasterizer-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-rasterizer.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-rasterizer %{version} JPP/%{name} rasterizer
%{__cp} -p batik-%{version}/maven/batik-rasterizer-ext/%{version}/batik-rasterizer-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-rasterizer-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-rasterizer-ext %{version} JPP/%{name} rasterizer-ext
%{__cp} -p batik-%{version}/maven/batik-script/%{version}/batik-script-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-script.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-script %{version} JPP/%{name} script
%{__cp} -p batik-%{version}/maven/batik-slideshow/%{version}/batik-slideshow-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-slideshow.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-slideshow %{version} JPP/%{name} slideshow
%{__cp} -p batik-%{version}/maven/batik-squiggle/%{version}/batik-squiggle-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-squiggle.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-squiggle %{version} JPP/%{name} squiggle
%{__cp} -p batik-%{version}/maven/batik-squiggle-ext/%{version}/batik-squiggle-ext-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-squiggle-ext.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-squiggle-ext %{version} JPP/%{name} squiggle-ext
%{__cp} -p batik-%{version}/maven/batik-svg-dom/%{version}/batik-svg-dom-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-svg-dom.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svg-dom %{version} JPP/%{name} svg-dom
%{__cp} -p batik-%{version}/maven/batik-svggen/%{version}/batik-svggen-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-svggen.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svggen %{version} JPP/%{name} svggen
%{__cp} -p batik-%{version}/maven/batik-svgpp/%{version}/batik-svgpp-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-svgpp.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-svgpp %{version} JPP/%{name} svgpp
%{__cp} -p batik-%{version}/maven/batik-swing/%{version}/batik-swing-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-swing.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-swing %{version} JPP/%{name} swing
%{__cp} -p batik-%{version}/maven/batik-transcoder/%{version}/batik-transcoder-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-transcoder.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-transcoder %{version} JPP/%{name} transcoder
%{__cp} -p batik-%{version}/maven/batik-ttf2svg/%{version}/batik-ttf2svg-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-ttf2svg.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-ttf2svg %{version} JPP/%{name} ttf2svg
%{__cp} -p batik-%{version}/maven/batik-util/%{version}/batik-util-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-util.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-util %{version} JPP/%{name} util
%{__cp} -p batik-%{version}/maven/batik-xml/%{version}/batik-xml-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-xml.pom
%add_to_maven_depmap org.apache.xmlgraphics batik-xml %{version} JPP/%{name} xml

# scripts
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-squiggle
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-svgpp
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-ttf2svg
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/%{name}-rasterizer
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/%{name}-slideshow

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr batik-%{version}/docs/javadoc/* \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version} || :
# FIXME: (dwalluck): This breaks bi --short-circuit
rm -rf %{name}-%{version}/docs/javadoc
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/batik-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_javadocdir}/batik

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr contrib resources samples test-resources test-sources \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_datadir}/batik

# policy
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/rasterizer.policy

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

# inject OSGi manifest batik-anim-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE45} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/anim.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-awt-util-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE46} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/awt-util.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-bridge-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE47} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/bridge.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-codec-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE48} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/codec.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-css-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE49} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/css.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-dom-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE50} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/dom.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-ext-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE51} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/ext.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-extension-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE52} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/extension.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-gui-util-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE53} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/gui-util.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-gvt-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE54} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/gvt.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-parser-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE55} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/parser.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-script-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE56} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/script.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-svg-dom-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE57} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/svg-dom.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-svggen-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE58} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/svggen.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-swing-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE59} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/swing.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-transcoder-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE60} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/transcoder.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-util-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE61} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/util.jar META-INF/MANIFEST.MF

# inject OSGi manifest batik-xml-1.7.jar-OSGi-MANIFEST.MF
rm -rf META-INF
mkdir -p META-INF
cp %{SOURCE62} META-INF/MANIFEST.MF
zip -u %buildroot/usr/share/java/xmlgraphics-batik/xml.jar META-INF/MANIFEST.MF

mkdir -p $RPM_BUILD_ROOT`dirname /etc/%{name}-rasterizer.conf`
touch $RPM_BUILD_ROOT/etc/%{name}-rasterizer.conf

mkdir -p $RPM_BUILD_ROOT`dirname /etc/%{name}-slideshow.conf`
touch $RPM_BUILD_ROOT/etc/%{name}-slideshow.conf

mkdir -p $RPM_BUILD_ROOT`dirname /etc/%{name}-squiggle.conf`
touch $RPM_BUILD_ROOT/etc/%{name}-squiggle.conf

mkdir -p $RPM_BUILD_ROOT`dirname /etc/%{name}-svgpp.conf`
touch $RPM_BUILD_ROOT/etc/%{name}-svgpp.conf

mkdir -p $RPM_BUILD_ROOT`dirname /etc/%{name}-ttf2svg.conf`
touch $RPM_BUILD_ROOT/etc/%{name}-ttf2svg.conf
pushd $RPM_BUILD_ROOT%_javadir/xmlgraphics-batik
  ln -s anim.jar batik-anim.jar
  ln -s awt-util.jar batik-awt-util.jar
  ln -s bridge.jar batik-bridge.jar
  ln -s codec.jar batik-codec.jar
  ln -s css.jar batik-css.jar
  ln -s dom.jar batik-dom.jar
  ln -s ext.jar batik-ext.jar
  ln -s extension.jar batik-extension.jar
  ln -s gui-util.jar batik-gui-util.jar
  ln -s gvt.jar batik-gvt.jar
  ln -s parser.jar batik-parser.jar
  ln -s script.jar batik-script.jar
  ln -s svg-dom.jar batik-svg-dom.jar
  ln -s svggen.jar batik-svggen.jar
  ln -s swing.jar batik-swing.jar
  ln -s transcoder.jar batik-transcoder.jar
  ln -s util.jar batik-util.jar
  ln -s xml.jar batik-xml.jar
popd

pushd $RPM_BUILD_ROOT%_javadir
  ln -s xmlgraphics-batik batik
popd

# due to #19119
#1: xmlgraphics-batik         error: unpacking of archive failed on file
#/usr/share/java/batik: cpio: rename failed - Is a directory
#E: Some errors occurred while running transaction
%pre
[ -d /usr/share/java/batik ] && rm -rf /usr/share/java/batik ||:
# end inject OSGi manifest batik-xml-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-util-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-transcoder-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-swing-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-svggen-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-svg-dom-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-script-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-parser-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-gvt-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-gui-util-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-extension-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-ext-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-dom-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-css-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-codec-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-bridge-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-awt-util-1.7.jar-OSGi-MANIFEST.MF
# end inject OSGi manifest batik-anim-1.7.jar-OSGi-MANIFEST.MF

%files
%doc KEYS LICENSE MAINTAIN NOTICE README
%dir %{_javadir}/%{name}
%{_javadir}/%{name}-all-%{version}.jar
%{_javadir}/%{name}-all.jar
%{_javadir}/batik-all-%{version}.jar
%{_javadir}/batik-all.jar
%{_javadir}/%{name}/anim-%{version}.jar
%{_javadir}/%{name}/anim.jar
%{_javadir}/%{name}/awt-util-%{version}.jar
%{_javadir}/%{name}/awt-util.jar
%{_javadir}/%{name}/bridge-%{version}.jar
%{_javadir}/%{name}/bridge.jar
%{_javadir}/%{name}/codec-%{version}.jar
%{_javadir}/%{name}/codec.jar
%{_javadir}/%{name}/css-%{version}.jar
%{_javadir}/%{name}/css.jar
%{_javadir}/%{name}/dom-%{version}.jar
%{_javadir}/%{name}/dom.jar
%{_javadir}/%{name}/ext-%{version}.jar
%{_javadir}/%{name}/ext.jar
%{_javadir}/%{name}/extension-%{version}.jar
%{_javadir}/%{name}/extension.jar
%{_javadir}/%{name}/gui-util-%{version}.jar
%{_javadir}/%{name}/gui-util.jar
%{_javadir}/%{name}/gvt-%{version}.jar
%{_javadir}/%{name}/gvt.jar
%{_javadir}/%{name}/parser-%{version}.jar
%{_javadir}/%{name}/parser.jar
%{_javadir}/%{name}/script-%{version}.jar
%{_javadir}/%{name}/script.jar
%{_javadir}/%{name}/svg-dom-%{version}.jar
%{_javadir}/%{name}/svg-dom.jar
%{_javadir}/%{name}/svggen-%{version}.jar
%{_javadir}/%{name}/svggen.jar
%{_javadir}/%{name}/swing-%{version}.jar
%{_javadir}/%{name}/swing.jar
%{_javadir}/%{name}/transcoder-%{version}.jar
%{_javadir}/%{name}/transcoder.jar
%{_javadir}/%{name}/util-%{version}.jar
%{_javadir}/%{name}/util.jar
%{_javadir}/%{name}/xml-%{version}.jar
%{_javadir}/%{name}/xml.jar
%{_datadir}/maven2/poms/JPP.%{name}-anim.pom
%{_datadir}/maven2/poms/JPP.%{name}-awt-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-bridge.pom
%{_datadir}/maven2/poms/JPP.%{name}-codec.pom
%{_datadir}/maven2/poms/JPP.%{name}-css.pom
%{_datadir}/maven2/poms/JPP.%{name}-dom.pom
%{_datadir}/maven2/poms/JPP.%{name}-ext.pom
%{_datadir}/maven2/poms/JPP.%{name}-extension.pom
%{_datadir}/maven2/poms/JPP.%{name}-gui-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-gvt.pom
%if 0
%{_datadir}/maven2/poms/JPP.%{name}-js.pom
%endif
%{_datadir}/maven2/poms/JPP.%{name}-parser.pom
%{_datadir}/maven2/poms/JPP.%{name}-script.pom
%{_datadir}/maven2/poms/JPP.%{name}-svg-dom.pom
%{_datadir}/maven2/poms/JPP.%{name}-svggen.pom
%{_datadir}/maven2/poms/JPP.%{name}-swing.pom
%{_datadir}/maven2/poms/JPP.%{name}-transcoder.pom
%{_datadir}/maven2/poms/JPP.%{name}-util.pom
%{_datadir}/maven2/poms/JPP.%{name}-xml.pom
%{_mavendepmapfragdir}/%{name}
%dir %{_sysconfdir}/%{name}
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/anim-1.7.jar.db
%{_libdir}/gcj/%{name}/anim-1.7.jar.so
%{_libdir}/gcj/%{name}/awt-util-1.7.jar.db
%{_libdir}/gcj/%{name}/awt-util-1.7.jar.so
%{_libdir}/gcj/%{name}/bridge-1.7.jar.db
%{_libdir}/gcj/%{name}/bridge-1.7.jar.so
%{_libdir}/gcj/%{name}/codec-1.7.jar.db
%{_libdir}/gcj/%{name}/codec-1.7.jar.so
%{_libdir}/gcj/%{name}/css-1.7.jar.db
%{_libdir}/gcj/%{name}/css-1.7.jar.so
%{_libdir}/gcj/%{name}/dom-1.7.jar.db
%{_libdir}/gcj/%{name}/dom-1.7.jar.so
%{_libdir}/gcj/%{name}/ext-1.7.jar.db
%{_libdir}/gcj/%{name}/ext-1.7.jar.so
%{_libdir}/gcj/%{name}/extension-1.7.jar.db
%{_libdir}/gcj/%{name}/extension-1.7.jar.so
%{_libdir}/gcj/%{name}/gui-util-1.7.jar.db
%{_libdir}/gcj/%{name}/gui-util-1.7.jar.so
%{_libdir}/gcj/%{name}/gvt-1.7.jar.db
%{_libdir}/gcj/%{name}/gvt-1.7.jar.so
%{_libdir}/gcj/%{name}/java_classes.db
%{_libdir}/gcj/%{name}/java_classes.so
%{_libdir}/gcj/%{name}/parser-1.7.jar.db
%{_libdir}/gcj/%{name}/parser-1.7.jar.so
%{_libdir}/gcj/%{name}/script-1.7.jar.db
%{_libdir}/gcj/%{name}/script-1.7.jar.so
%{_libdir}/gcj/%{name}/svg-dom-1.7.jar.db
%{_libdir}/gcj/%{name}/svg-dom-1.7.jar.so
%{_libdir}/gcj/%{name}/svggen-1.7.jar.db
%{_libdir}/gcj/%{name}/svggen-1.7.jar.so
%{_libdir}/gcj/%{name}/swing-1.7.jar.db
%{_libdir}/gcj/%{name}/swing-1.7.jar.so
%{_libdir}/gcj/%{name}/transcoder-1.7.jar.db
%{_libdir}/gcj/%{name}/transcoder-1.7.jar.so
%{_libdir}/gcj/%{name}/util-1.7.jar.db
%{_libdir}/gcj/%{name}/util-1.7.jar.so
%{_libdir}/gcj/%{name}/xml-1.7.jar.db
%{_libdir}/gcj/%{name}/xml-1.7.jar.so
%endif
%_javadir/xmlgraphics-batik/batik-anim.jar
%_javadir/xmlgraphics-batik/batik-awt-util.jar
%_javadir/xmlgraphics-batik/batik-bridge.jar
%_javadir/xmlgraphics-batik/batik-codec.jar
%_javadir/xmlgraphics-batik/batik-css.jar
%_javadir/xmlgraphics-batik/batik-dom.jar
%_javadir/xmlgraphics-batik/batik-ext.jar
%_javadir/xmlgraphics-batik/batik-extension.jar
%_javadir/xmlgraphics-batik/batik-gui-util.jar
%_javadir/xmlgraphics-batik/batik-gvt.jar
%_javadir/xmlgraphics-batik/batik-parser.jar
%_javadir/xmlgraphics-batik/batik-script.jar
%_javadir/xmlgraphics-batik/batik-svg-dom.jar
%_javadir/xmlgraphics-batik/batik-svggen.jar
%_javadir/xmlgraphics-batik/batik-swing.jar
%_javadir/xmlgraphics-batik/batik-transcoder.jar
%_javadir/xmlgraphics-batik/batik-util.jar
%_javadir/xmlgraphics-batik/batik-xml.jar
%_javadir/batik

%files squiggle
%{_javadir}/%{name}/squiggle-%{version}.jar
%{_javadir}/%{name}/squiggle.jar
%{_javadir}/%{name}/squiggle-ext-%{version}.jar
%{_javadir}/%{name}/squiggle-ext.jar
%{_javadir}/batik-squiggle-%{version}.jar
%{_javadir}/batik-squiggle.jar
%{_javadir}/batik-squiggle-ext-%{version}.jar
%{_javadir}/batik-squiggle-ext.jar
%{_datadir}/maven2/poms/JPP.%{name}-squiggle.pom
%{_datadir}/maven2/poms/JPP.%{name}-squiggle-ext.pom
%attr(0755,root,root) %{_bindir}/%{name}-squiggle
%if %{gcj_support}
%{_libdir}/gcj/%{name}/squiggle-1.7.jar.db
%{_libdir}/gcj/%{name}/squiggle-1.7.jar.so
%endif
%config(noreplace,missingok) /etc/%{name}-squiggle.conf

%files svgpp
%{_javadir}/%{name}/svgpp-%{version}.jar
%{_javadir}/%{name}/svgpp.jar
%{_javadir}/batik-svgpp-%{version}.jar
%{_javadir}/batik-svgpp.jar
%{_datadir}/maven2/poms/JPP.%{name}-svgpp.pom
%attr(0755,root,root) %{_bindir}/%{name}-svgpp
%if %{gcj_support}
%{_libdir}/gcj/%{name}/svgpp-1.7.jar.db
%{_libdir}/gcj/%{name}/svgpp-1.7.jar.so
%endif
%config(noreplace,missingok) /etc/%{name}-svgpp.conf

%files ttf2svg
%{_javadir}/%{name}/ttf2svg-%{version}.jar
%{_javadir}/%{name}/ttf2svg.jar
%{_javadir}/batik-ttf2svg-%{version}.jar
%{_javadir}/batik-ttf2svg.jar
%{_datadir}/maven2/poms/JPP.%{name}-ttf2svg.pom
%attr(0755,root,root) %{_bindir}/%{name}-ttf2svg
%if %{gcj_support}
%{_libdir}/gcj/%{name}/ttf2svg-1.7.jar.db
%{_libdir}/gcj/%{name}/ttf2svg-1.7.jar.so
%endif
%config(noreplace,missingok) /etc/%{name}-ttf2svg.conf

%files rasterizer
%{_javadir}/%{name}/rasterizer-%{version}.jar
%{_javadir}/%{name}/rasterizer.jar
%{_javadir}/%{name}/rasterizer-ext-%{version}.jar
%{_javadir}/%{name}/rasterizer-ext.jar
%{_javadir}/batik-rasterizer-%{version}.jar
%{_javadir}/batik-rasterizer.jar
%{_javadir}/batik-rasterizer-ext-%{version}.jar
%{_javadir}/batik-rasterizer-ext.jar
%{_datadir}/maven2/poms/JPP.%{name}-rasterizer.pom
%{_datadir}/maven2/poms/JPP.%{name}-rasterizer-ext.pom
%attr(0755,root,root) %{_bindir}/%{name}-rasterizer
%config(noreplace) %{_sysconfdir}/%{name}/rasterizer.policy
%if %{gcj_support}
%{_libdir}/gcj/%{name}/rasterizer-1.7.jar.db
%{_libdir}/gcj/%{name}/rasterizer-1.7.jar.so
%endif
%config(noreplace,missingok) /etc/%{name}-rasterizer.conf

%files slideshow
%{_javadir}/%{name}/slideshow-%{version}.jar
%{_javadir}/%{name}/slideshow.jar
%{_javadir}/batik-slideshow-%{version}.jar
%{_javadir}/batik-slideshow.jar
%{_datadir}/maven2/poms/JPP.%{name}-slideshow.pom
%attr(0755,root,root) %{_bindir}/%{name}-slideshow
%if %{gcj_support}
%{_libdir}/gcj/%{name}/slideshow-1.7.jar.db
%{_libdir}/gcj/%{name}/slideshow-1.7.jar.so
%endif
%config(noreplace,missingok) /etc/%{name}-slideshow.conf

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}
%{_javadocdir}/batik-%{version}
%{_javadocdir}/batik

%files demo
%{_datadir}/%{name}
%{_datadir}/batik
%exclude %{_datadir}/%{name}/contrib/rasterizertask/build.sh
%exclude %{_datadir}/%{name}/contrib/charts/convert.sh
%attr(0755,root,root) %{_datadir}/%{name}/contrib/rasterizertask/build.sh 
%attr(0755,root,root) %{_datadir}/%{name}/contrib/charts/convert.sh
%if %{gcj_support}
%{_libdir}/gcj/%{name}/IWasLoaded.jar.db
%{_libdir}/gcj/%{name}/IWasLoaded.jar.so
%{_libdir}/gcj/%{name}/test-resources_classes.db
%{_libdir}/gcj/%{name}/test-resources_classes.so
%endif

%changelog
* Sat Dec 04 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt6_7jpp6
- added OSGi provides

* Tue Mar 31 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt6_5jpp5
- proper fix of #19119. Thanks to mithraen@ for report.

* Thu Mar 12 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt5_5jpp5
- fixed #19119

* Sat Feb 21 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt4_5jpp5
- added batik dir symlink

* Thu Sep 11 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt3_5jpp5
- fixed unmets

* Wed Sep 10 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt2_5jpp5
- converted from JPackage by jppimport script

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.7-alt1_5jpp5
- converted from JPackage by jppimport script

